Bug 93208 - Breeze toolbar icons are hard to make out on OSX due to insufficient contrast w/ background
Summary: Breeze toolbar icons are hard to make out on OSX due to insufficient contrast...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.0.0.5 release
Hardware: Other Mac OS X (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Icon-Theme-Breeze
  Show dependency treegraph
 
Reported: 2015-08-06 17:02 UTC by Tin Man
Modified: 2018-11-19 15:38 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
LibreOffice on Mac OS X (134.29 KB, image/png)
2015-08-06 17:02 UTC, Tin Man
Details
Screenshot (27.75 KB, image/png)
2018-11-19 15:37 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tin Man 2015-08-06 17:02:39 UTC
Created attachment 117719 [details]
LibreOffice on Mac OS X

Toolbar icons are hard to make out on Mac OS X, especially the blue parts on top of darker gray (e.g. in the Bullets icon).

Please, at the very least, make the toolbar gradient lighter.
Comment 1 Alex Thurgood 2015-08-06 17:22:05 UTC
You can change the icon theme to one that is more recongizable (but less OSX-like), if you don't like the Breeze theme.

As I happen to agree with you about the Breeze icons not being particularly clear as to their meaning most of the time, am confirming, but it is all rather subjective.
Comment 2 andreas_k 2017-08-29 15:41:47 UTC
In kde there was also a gradient background which was removed. is this background still in os-x theme?
Comment 3 Adolfo Jayme 2017-12-10 06:08:50 UTC
I think we should remove the patch for bug 69358 and mark that as WONTFIX, given that 1) it was never fixed to show just one gradient instead of two, and 2) it contributes to an inconsistent user experience, as it’s excluded from App Store builds owing to its use of private macOS API.
Comment 4 andreas_k 2018-11-19 12:58:57 UTC
any feedback of this bug on OS-X?
Comment 5 Heiko Tietze 2018-11-19 15:37:44 UTC
Created attachment 146796 [details]
Screenshot

Gradient is less intensive with High Sierra but the reported issue still present. However, I think it's also the design of these icons that the decorations are not popping out. So it's a WFM.